#include "fonts.h"
#include <strings.h>
#include "str2x.h"
#include <SDL.h>
#include "mapkey.h"
#include "misc.h"


#ifndef MESSAGEH
#define MESSAGEH
#define MESSAGE_MAX_ENTRIES 8
#define MESSAGE_TITLE_SIZE 30
#define MESSAGE_ENTRY_SIZE 40

class MESSAGE
{
	public:
		MESSAGE();
		MESSAGE(SDL_Surface * surface, FONT * font, char * t);
		~MESSAGE();
		int addLine(char * e);
		void displayMessage(Uint16 x, Uint16 y);
		
	private:
		char title[MESSAGE_TITLE_SIZE];
		int entryCount;
		char entries[MESSAGE_MAX_ENTRIES][MESSAGE_ENTRY_SIZE];
		SDL_Surface * screen;
		FONT * messageFont;
		int maxWidth;
};

#endif
