#ifndef FONTS
#define FONTS
#include <SDL.h>
#include <SDL_image.h>
#include <strings.h>
#include "str2x.h"

class FONT
{
	public:
		FONT();
		FONT(char * filename, Uint16 charWidth, Uint16 charHeight);
		~FONT();
	
		int drawText(SDL_Surface* Surface, Uint16 X, Uint16 Y, char* Text);
		int drawTextOver(SDL_Surface* Surface, Uint16 X, Uint16 Y, int bgRed, int bgGreen, int bgBlue, char* Text);
		void loadFont(char * filename, Uint16 charWidth, Uint16 charHeight);
		void setTransparent(int red, int green, int blue, int alpha);
		int getFontWidth();
		int getFontHeight();
  
  private:
    SDL_Surface * fontImages;  // Structure to hold our font
   	Uint16 fontWidth;
	  Uint16 fontHeight;
};
#endif
