#include<SDL.h>
#include<SDL_Mixer.h>

#ifndef SOUNDBANKH
#define SOUNDBANKH
#define SOUNDBANK_MAX_SOUNDS 10

class SOUNDBANK
{
	public:
		SOUNDBANK();
		~SOUNDBANK();
		int loadSound(char * sound);
		void playSound(int sound);
		int soundMuted();
		void muteSound();
		void unmuteSound();
		
	private:
		Mix_Chunk * sounds[SOUNDBANK_MAX_SOUNDS];
		int lastSound;
		int channel;
		int mute;
};

#endif
